import { AlignmentOptionType } from './Alignment';
import { AxisOptionType } from './Axis';
import { SlidesToScrollOptionType } from './SlidesToScroll';
import { DirectionOptionType } from './Direction';
import { ScrollContainOptionType } from './ScrollContain';
export type LooseOptionsType = {
    [key: string]: unknown;
};
export type CreateOptionsType<Type extends LooseOptionsType> = Type & {
    active: boolean;
    breakpoints: {
        [key: string]: Omit<Partial<CreateOptionsType<Type>>, 'breakpoints'>;
    };
};
export type OptionsType = CreateOptionsType<{
    align: AlignmentOptionType;
    axis: AxisOptionType;
    container: string | HTMLElement | null;
    slides: string | HTMLElement[] | NodeListOf<HTMLElement> | null;
    containScroll: ScrollContainOptionType;
    direction: DirectionOptionType;
    slidesToScroll: SlidesToScrollOptionType;
    dragFree: boolean;
    draggable: boolean;
    inViewThreshold: number;
    loop: boolean;
    skipSnaps: boolean;
    speed: number;
    startIndex: number;
}>;
export declare const defaultOptions: OptionsType;
export type EmblaOptionsType = Partial<OptionsType>;
