export declare function map(value: number, iStart: number, iStop: number, oStart: number, oStop: number): number;
export declare function isNumber(subject: unknown): subject is number;
export declare function isString(subject: unknown): subject is string;
export declare function isObject(subject: unknown): subject is Record<string, unknown>;
export declare function isArray(subject: unknown): subject is Record<number, unknown>;
export declare function isRecord(subject: unknown): subject is Record<string | number, unknown>;
export declare function mathAbs(n: number): number;
export declare function mathSign(n: number): number;
export declare function deltaAbs(valueB: number, valueA: number): number;
export declare function factorAbs(valueB: number, valueA: number): number;
export declare function roundToDecimals(decimalPoints: number): (n: number) => number;
export declare function arrayKeys<Type>(array: Type[]): number[];
export declare function arrayLast<Type>(array: Type[]): Type;
export declare function arrayLastIndex<Type>(array: Type[]): number;
export declare function objectKeys<Type extends object>(object: Type): string[];
export declare function objectsMergeDeep(objectA: Record<string, unknown>, objectB: Record<string, unknown>): Record<string, unknown>;
export declare function objectsAreEqual(objectA: Record<string, unknown>, objectB: Record<string, unknown>): boolean;
